Axiomatic
Platform

Notifications

In-app notification management

GET
/api/notifications

Authorization

bearerAuth
AuthorizationBearer <token>

Create keys under Settings → API keys. Prefix ak_. Send as Authorization: Bearer ak_....

In: header

Query Parameters

limit?integer
Default20
unreadOnly?boolean

Response Body

application/json

application/json

curl -X GET "https://example.com/api/notifications"
[
  {}
]
{
  "error": "string"
}
POST
/api/notifications

Authorization

bearerAuth
AuthorizationBearer <token>

Create keys under Settings → API keys. Prefix ak_. Send as Authorization: Bearer ak_....

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/api/notifications" \  -H "Content-Type: application/json" \  -d '{}'
{}
{
  "error": "string"
}